import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
import { DeviceDecorator } from "../../create-device-decorator.js";
/**
 * A custom React Hook that checks if a device link exists in the Deep database, and if not, it inserts one
 */
export declare function useDeviceSync<TDeepClient extends DeepClientInstance>(options: UseDeviceInsertionIfDoesNotExistAndSavingInfoOptions<TDeepClient>): UseDeviceSyncResult;
export interface UseDeviceInsertionIfDoesNotExistAndSavingInfoOptions<TDeepClient extends DeepClientInstance = DeepClientInstance> {
    /**
     * A device link ID.
     */
    deviceLinkId: number;
    deep: DeviceDecorator<TDeepClient>;
}
export interface UseDeviceSyncResult {
    /**
     * Indicates the loading state of the device link insertion operation.
     */
    isLoading: boolean | undefined;
    error: unknown | undefined;
}
